
TYPO3.Flow - Bug # 36679

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Security
Created: 2012-04-27 Assigned To: Karsten Dambekalns
Updated: 2012-04-28 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: PersistenceQueryRewritingAspect broken if only one additional constraint is added
Description

.

Associated revisions
Revision 7d13b3fb - 2012-04-27 19:14 - Karsten Dambekalns

[BUGFIX] Query rewriting now works with one additional constraint

PersistenceQueryRewritingAspect was broken if only one additional
constraint was added, leading to invalid queries that failed with
an invalid number of bound parameters.

Change-Id: I332141b677ad017b775da2a4391f5bcedf0d7536
Fixes: #36679
Releases: 1.1

History
#1 - 2012-04-27 19:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10838

#2 - 2012-04-28 14:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7d13b3fbcbd2d82aaa1aa0e7f05c3406a79cf651.
